## visad.data
Class DirectoryRepository.Enumerator

    java.lang.Object
      visad.data.DirectoryRepository.Enumerator

All Implemented Interfaces:
  Enumeration

Enclosing class:
  DirectoryRepository

public class DirectoryRepository.Enumerator
extends Object
implements Enumeration

Inner class for enumerating the files in the directory.

Field Summary
`protected int` `i`
`protected String[]` `list`

Constructor Summary
`protected` `DirectoryRepository.Enumerator()`

Method Summary
`boolean` `hasMoreElements()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### i

    protected int i

### list

    protected final String[] list

Constructor Detail

### DirectoryRepository.Enumerator

    protected DirectoryRepository.Enumerator()
                                      throws SecurityException

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()
                       throws NoSuchElementException

  Specified by:
    `nextElement` in interface `Enumeration`
  Throws:
    `NoSuchElementException`